## Struct mount_point_base

zeep::http::rest_controller::mount_point_base — abstract base class for mount points

## Synopsis

    // In header: <zeep/http/rest-controller.hpp>

    // abstract base class for mount points

    struct mount_point_base {
      // construct/copy/destruct
      mount_point_base(const char *, const std::string &);
      ~mount_point_base();

      // public member functions
      virtual void call(const parameter_pack &, reply &) = 0;

      // public data members
      std::string m_path;
      std::string m_method;
      std::regex m_rx;
      std::vector< std::string > m_path_params;
    };

## Description

### `mount_point_base` public construct/copy/destruct

1.     mount_point_base(const char * path, const std::string & method);

2.     ~mount_point_base();

### `mount_point_base` public member functions

1.     virtual void call(const parameter_pack & params, reply & reply) = 0;